CHGRP(1)

NAME
chgrp - change group

SYNOPSIS
chgrp [ -f -R ] group file ...

DESCRIPTION
Chgrp changes the group-ID of the files to group. The group may be either a decimal GID or a group name found in the group-ID file.

The user invoking chgrp must belong to the specified group and be the owner of the file, or be the super-user.

No errors are reported when the -f (force) option is given.

When the -R option is given, chgrp recursively descends its directory arguments setting the specified group-ID. When symbolic links are encountered, their group is changed, but they are not traversed.

If the SetUID or SetGID bits are set on the file (see chmod(1)) and the command is run by other than the super-user these bits will be cleared on successful completion of the command.

The command is 8-bit transparent; it will correctly handle file names and groups which contain 8-bit characters with the top bit set.

FILES
/etc/group

SEE ALSO
chown(2), passwd(5), group(5)